Bug 18415 - Advanced Editor - Rancor - return focus to editor after successful macro
Summary: Advanced Editor - Rancor - return focus to editor after successful macro
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-11 15:22 UTC by Nick Clemens
Modified: 2017-05-24 02:13 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18415 - Advanced Editor - Rancor - return focus to editor after successful macro (1.22 KB, patch)
2017-04-11 15:25 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18415 - Advanced Editor - Rancor - return focus to editor after successful macro (1.29 KB, patch)
2017-04-18 13:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18415 - Advanced Editor - Rancor - return focus to editor after successful macro (1.35 KB, patch)
2017-05-03 16:11 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-04-11 15:22:08 UTC

    
Comment 1 Nick Clemens 2017-04-11 15:25:16 UTC
Created attachment 62056 [details] [review]
Bug 18415 - Advanced Editor - Rancor - return focus to editor after successful macro

After running a macro we should return focus to the editor screen so
editing can continue from keyboard

To test:
1 - Create a macro
   007=vd cvaizq
2 - Run it and note focus is not on editor
3 - Apply patch
4 - Reload page
5 - Run macro
6 - Note focus is returned to editor
Comment 2 Owen Leonard 2017-04-18 13:28:58 UTC
Created attachment 62291 [details] [review]
[SIGNED-OFF] Bug 18415 - Advanced Editor - Rancor - return focus to editor after successful macro

After running a macro we should return focus to the editor screen so
editing can continue from keyboard

To test:
1 - Create a macro
   007=vd cvaizq
2 - Run it and note focus is not on editor
3 - Apply patch
4 - Reload page
5 - Run macro
6 - Note focus is returned to editor

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jonathan Druart 2017-05-03 16:11:04 UTC
Created attachment 63035 [details] [review]
Bug 18415 - Advanced Editor - Rancor - return focus to editor after successful macro

After running a macro we should return focus to the editor screen so
editing can continue from keyboard

To test:
1 - Create a macro
   007=vd cvaizq
2 - Run it and note focus is not on editor
3 - Apply patch
4 - Reload page
5 - Run macro
6 - Note focus is returned to editor

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2017-05-08 13:03:44 UTC
Pushed to master for 17.05 thanks Nick!
Comment 5 Katrin Fischer 2017-05-14 09:17:22 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.
Comment 6 Mason James 2017-05-24 02:13:19 UTC
Pushed to 16.05.x, for 16.05.13 release